public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-process/nmon/
Date: Wed,  2 Aug 2017 07:43:34 +0000 (UTC)	[thread overview]
Message-ID: <1501659809.2752abb987ff28997e5f7fd2da3adb5a4d6db28c.polynomial-c@gentoo> (raw)

commit:     2752abb987ff28997e5f7fd2da3adb5a4d6db28c
Author:     Nelo-T. Wallus <nelo <AT> wallus <DOT> de>
AuthorDate: Tue Aug  1 19:44:13 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Aug  2 07:43:29 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2752abb9

sys-process/nmon: Bump version

Package-Manager: Portage-2.3.6, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/5269

 sys-process/nmon/Manifest        |  1 +
 sys-process/nmon/nmon-16g.ebuild | 53 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/sys-process/nmon/Manifest b/sys-process/nmon/Manifest
index c9c0fa4ef93..1c3b065ea72 100644
--- a/sys-process/nmon/Manifest
+++ b/sys-process/nmon/Manifest
@@ -1 +1,2 @@
 DIST lmon16f.c 271123 SHA256 280a371e17488f8a2c5e0c64273155789be6fa5b937ab5c465488e591bdc5cd9 SHA512 04d22b4678932067d42158f1bc794f79b5a321e10ba7163632be3b930e28176d0d057cd652ef7cd342167741aafdc00a16e612a99522bfe75072e67cf8d0a66b WHIRLPOOL 26d7f13fad94171a9f66da52fc5a927e2133c41f524956725a4f5e4527d61c2d0034a4c0eada85d22ff81c2b0cbc0f4f26eee0595f844212af36197b76704d3d
+DIST lmon16g.c 267681 SHA256 da82dd693b503b062854dfe7dbb5d36b347872ab44a4aa05b97e9d577747f688 SHA512 87287183db48338a281438efc7a8b74249cf88c0a0799e826a9a89b0eb39835b0ba223c7ea6decc217848179f4991909b3cf307aa7eec8a3a4604ebf8a4e8ebe WHIRLPOOL 662146f0554692435969d191848aecec630c48d156fa4f23544c8a30f15ee6fd03f43de4fa556dc644a9c1dfb5714e9fb2eb51d9dd3d0566e4145541e13fa28f

diff --git a/sys-process/nmon/nmon-16g.ebuild b/sys-process/nmon/nmon-16g.ebuild
new file mode 100644
index 00000000000..918ae4569cc
--- /dev/null
+++ b/sys-process/nmon/nmon-16g.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs
+
+MY_P="lmon${PV}"
+
+DESCRIPTION="Nigel's performance MONitor for CPU, memory, network, disks, etc..."
+HOMEPAGE="http://nmon.sourceforge.net/"
+LICENSE="GPL-3"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.c"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+
+RDEPEND="sys-libs/ncurses:0="
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+"
+
+S="${WORKDIR}"
+
+src_unpack() {
+	cp -v -f "${DISTDIR}"/${MY_P}.c "${S}"/${PN}.c || die
+}
+
+src_configure() {
+	local cflags=(
+		## recommended by upstream to be always on
+		-DGETUSER
+		-DJFS
+		-DLARGEMEM
+		-DKERNEL_2_6_18
+
+		## archs
+		$(usex amd64 -DX86 '')
+		$(usex x86 -DX86 '')
+		$(usex arm -DARM '')
+		$(usex ppc64 -DPOWER '')
+	)
+	append-cflags "${cflags[@]}"
+	export LDLIBS="$( $(tc-getPKG_CONFIG) --libs ncurses ) -lm"
+}
+
+src_compile() {
+	emake ${PN}
+}
+
+src_install() {
+	dobin ${PN}
+}


             reply	other threads:[~2017-08-02  7:43 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-02  7:43 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-24 11:21 [gentoo-commits] repo/gentoo:master commit in: sys-process/nmon/ Petr Vaněk
2024-11-23 16:20 Michał Górny
2024-11-23 12:30 Arthur Zamarin
2024-06-21 18:33 Arthur Zamarin
2022-12-18 12:45 Sam James
2022-06-17 12:11 Sam James
2022-04-17 19:17 Sam James
2021-12-07  6:26 Agostino Sarubbo
2021-12-05  5:01 Sam James
2021-08-30  8:40 Lars Wendler
2020-08-22  1:50 Georgy Yakovlev
2019-09-26 13:50 Thomas Deutschmann
2019-05-22 21:35 Lars Wendler
2019-05-22 21:35 Lars Wendler
2019-05-22 21:35 Lars Wendler
2019-03-26  8:58 Lars Wendler
2018-02-11 11:36 Michał Górny
2017-08-02  7:43 Lars Wendler
2017-08-01 14:32 Amy Liffey
2016-12-20 14:38 Tobias Klausmann
2016-08-17  4:50 Jeroen Roovers
2016-07-08 15:59 Anthony G. Basile
2016-07-07 19:48 Austin English
2016-06-26 10:14 Patrice Clement
2016-05-29 15:30 Kristian Fiskerstrand
2016-03-17 10:21 Amy Winston
2016-03-17 10:21 Amy Winston
2016-03-17 10:21 Amy Winston
2015-11-23 16:35 Michael Palimaka
2015-11-23 16:35 Michael Palimaka
2015-10-23  6:22 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1501659809.2752abb987ff28997e5f7fd2da3adb5a4d6db28c.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox